body{
    display: flexbox;
    justify-items: center;
    align-items: center;
    margin-top: 25px;
    background-color: #FA4B3B;
}

#game-board {
    width: 306px;
    display: flex;
    flex-wrap: wrap;
    margin: 20px;
}

.top-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 60px;
    padding: 0px;
}

.button-reset {
    display: block;
    margin: 20px auto;
    padding: 10px 25px;
    background-color: #3B8BFA;
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 1rem;
    font-family: 'Honk', system-ui;
    transition: background-color 0.2s ease, transform 0.2s ease;
    cursor: pointer;
}

.buttonMode1{
    display: block;
    margin: 20px auto;
    padding: 10px 25px;
    background-color: #3B8BFA;
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 1rem;
    font-family: 'Honk', system-ui;
    transition: background-color 0.2s ease, transform 0.2s ease;
    cursor: pointer;
}

.buttonMode2{
    display: block;
    margin: 20px auto;
    padding: 10px 25px;
    background-color: #3B8BFA;
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 1rem;
    font-family: 'Honk', system-ui;
    transition: background-color 0.2s ease, transform 0.2s ease;
    cursor: pointer;
}

.buttonMode3{
    display: block;
    margin: 20px auto;
    padding: 10px 25px;
    background-color: #3B8BFA;
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 1rem;
    font-family: 'Honk', system-ui;
    transition: background-color 0.2s ease, transform 0.2s ease;
    cursor: pointer;
}

.buttonMode4{
    display: block;
    margin: 20px auto;
    padding: 10px 25px;
    background-color: #3B8BFA;
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 1rem;
    font-family: 'Honk', system-ui;
    transition: background-color 0.2s ease, transform 0.2s ease;
    cursor: pointer;
}


.button-reset:hover {
  background-color: #0d47a1;
  transform: scale(1.05);
}

.buttonMode1:hover {
  background-color: #3BFA4B;
  transform: scale(1.05);
}

.buttonMode2:hover {
  background-color: #D3F527;
  transform: scale(1.05);
}

.buttonMode3:hover {
  background-color: #E82702;
  transform: scale(1.05);
}

.buttonMode4:hover {
  background-color: #440E03;
  transform: scale(1.05);
}

.honk-font {
  font-family: "Honk", system-ui;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-variation-settings:
    "MORF" 15,
    "SHLN" 50;
}

.fleur-de-leah-regular {
  font-family: "Fleur De Leah", cursive;
  font-weight: 400;
  font-style: normal;
}

.cell {
    width: 100px;
    height: 100px;
    border: 1px solid black;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 60px;
    font-family: Fleur De Leah;
    color: #3B8BFA;
    cursor: pointer;
}

.cell:hover {
    background-color: #E14536;
}

#winner-indicator {
    text-align: center;
    visibility: hidden;
    font-size: 3.25rem;
}

#winner-indicator.show{
    visibility: visible;
}

#winner-indicator.hide{
    visibility: hidden;
}

.scoreboard {
    text-align: center;
    font-size: 1.2rem;
    color: #333;
    background-color: #3BFAAA;
    display: inline-block;
    padding: 10px 25px;
    border-radius: 10px;
    border: 2px solid #1976d2;
}

.scoreboard p {
    margin: px 0;
}

#scoreboard .honk-font {
    font-size: 1.6rem;
    color: #1976d2;
}

.top-buttons.active {
    background-color: #42a5f5;
    box-shadow: 0 0 5px #0d47a1;
}
